Inventory API
Get Performance information
Get Performance
GET /Performances/{performanceId}
Returns performance detail
Request
GET https://api.londontheatredirect.com/rest/v2/Performances/{performanceId}
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
PerformanceId |
required | Integer | 347948 | performance identifier |
Response
| Name | Data type | Additional information |
|---|---|---|
Performance |
PerformanceInfo |
contains information about a performance |
{
"Performance": {
"PerformanceId": 347948,
"PerformanceDate": "2017-05-06T19:30:00",
"TicketCount": 10,
"TotalSeatsCount": 510,
"TotalAvailableTickesCount": 405,
"ContainsDiscountOfferTickets": false,
"ContainsNoFeeOfferTickets": false,
"MinimumTicketPrice": 0,
"MaximumConsecutiveSeatsCount": 25,
"EventId": 9,
"PairedPerformances": null,
"DirectlyBookablePerformance": true
}
}
Get available Tickets
GET /Performances/{performanceId}/AvailableTickets
Returns a group of tickets for a specified performance grouped by a ticket area, face and selling price
Result also respects input parameter for required amount of tickets so only areas having this amount available are returned
For general admission shows, please use the Get Area prices endpoint instead.
Request
GET https://api.londontheatredirect.com/rest/v2/Performances/{performanceId}/AvailableTickets?requiredTicketsCount={requiredTicketsCount}
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
PerformanceId |
required | Integer | 347948 | performance identifier |
RequiredTicketsCount |
required | Integer | 2 | required amount of tickets to be sold |
Response
| Name | Data type | Additional information |
|---|---|---|
PerformanceId |
Integer | unique performance identifier |
EventId |
Integer | unique event identifier |
TicketAreas |
Collection of TicketAreaInfo |
contains information about available tickets in a seating area |
{
"PerformanceId": 347948,
"EventId": 9,
"TicketAreas": [
{
"AreaName": "Stalls",
"SellingPrice": 150,
"FaceValue": 125,
"TicketName1": "G",
"Tickets": [
{
"TicketId": 140792637,
"TicketName1": "G",
"TicketName2": "21",
"IsRestrictedView": false
},
{
...
"TicketName2": "20",
...
},
{
...
"TicketName2": "19",
...
},
...
],
"SingleItemBookLink": "https://www.ltdtickets.com/DirectTicketsBookingHandler.ashx?tickets=FhPrP2RoTTBxxr8kiS5l9FfOxSoq1FSvOJ9GyJq6es%2fw1I8Otiwr49txKAF7%2f6O%2bqSp%2flPiabCM%2fmvntIMb4OQFR03ZtXxSqHVWZBT%2fqpz1siviwccNEvhIBUpwDUC8RykYWt%2bCJupDjBBxfxoYfbHSRdMt0mRQWW%2f6foxuuCEY%3d"
},
{
"AreaName": "Royal Circle",
"SellingPrice": 71.5,
"FaceValue": 59.5,
"TicketName1": "P",
...
}
]
}
Get full availability
GET /Performances/{performanceId}/FullAvailability
Returns flat list of all available tickets for a specified performance
For general admission shows, please use the Get Area prices endpoint instead.
Request
GET https://api.londontheatredirect.com/rest/v2/Performances/{performanceId}/FullAvailability
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
PerformanceId |
required | Integer | 347948 | performance identifier |
Response
| Name | Data type | Additional information |
|---|---|---|
PerformanceId |
Integer | unique performance identifier |
EventId |
Integer | unique event identifier |
AvailableTickets |
Collection of FullTicketInfo |
contains information about available tickets |
{
"PerformanceId": 349474,
"EventId": 9,
"AvailableTickets": [
{
"TicketId": 146870675,
"AreaName": "Grand Circle",
"TicketName1": "L",
"TicketName2": "36",
"SellingPrice": 59.5,
"FaceValue": 49.5,
"RestrictedView": false,
"Description": null
},
{
"TicketId": 143988646,
"AreaName": "Stalls",
"TicketName1": "N",
"TicketName2": "18",
"SellingPrice": 167.5,
"FaceValue": 139.5,
"RestrictedView": false,
"Description": null
},
{
"TicketId": 143693164,
"AreaName": "Royal Circle",
"TicketName1": "P",
"TicketName2": "38",
"SellingPrice": 90,
"FaceValue": 75,
"RestrictedView": false,
"Description": null
}
...
]
}
Validate seat selection
GET /Performances/{performanceId}/SeatsSelectionValidation
Informs you, if current combination of seats can be purchased.
Request
POST https://api.londontheatredirect.com/rest/v2/Performances/{performanceId}/SeatsSelectionValidation
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
PerformanceId |
required | Integer | 347948 | performance identifier |
| Name | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
TicketIds |
required | Collection of Integers | [747948, 747947, 747946] | ticket ids of selected seats |
Please note that this Request data must be sent in the body of the POST request
Response
| Name | Data type | Additional information |
|---|---|---|
SelectionValid |
Boolean | indicates that selection is valid |
DisableBooking |
Boolean | indicates that selection can't be booked |
ErrorMessagePlan |
String | error message |
ErrorMessageBasket |
String | error message |
InvalidSeatID |
String | id of seat that is invalid |
{
"SelectionValid": false,
"DisableBooking": true,
"ErrorMessagePlan": "You can't leave a single seat. Please reselect.",
"ErrorMessageBasket": "Please note you can't leave a single seat as shown on the plan.",
"InvalidSeatID": "Stalls-T-26"
}
Get Performances by Date
GET /Performances?dateFrom={dateFrom}&dateTo={dateTo}
Returns all performances for provided date range. Range must be less than two months.
Request
GET https://api.londontheatredirect.com/rest/v2/Performances?dateFrom={dateFrom}&dateTo={dateTo}
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
DateFrom |
required | DateTime | 2017-02-24 | minimal acceptable date and time of any performance’s occurrence |
DateTo |
required | DateTime | 2017-02-28 | maximal acceptable date and time of any performance’s occurrence |
Response
| Name | Data type | Additional information |
|---|---|---|
Performances |
Collection of PerformanceInfo |
contains information about a performance |
Performances that are not directly bookable are automatically added to the basket with tickets from the paired performance
{
"Performances": [
{
"PerformanceId": 338153,
"PerformanceDate": "2017-02-21T19:30:00",
"TicketCount": 10,
"TotalSeatsCount": 158,
"TotalAvailableTickesCount": 83,
"ContainsDiscountOfferTickets": false,
"ContainsNoFeeOfferTickets": false,
"MinimumTicketPrice": 0,
"MaximumConsecutiveSeatsCount": 12,
"EventId": 9,
"PairedPerformances": [338154],
"DirectlyBookablePerformance": true
},
{
"PerformanceId": 338154,
"PerformanceDate": "2017-02-22T14:30:00",
"TicketCount": 10,
"TotalSeatsCount": 158,
"TotalAvailableTickesCount": 60,
"ContainsDiscountOfferTickets": false,
"ContainsNoFeeOfferTickets": false,
"MinimumTicketPrice": 0,
"MaximumConsecutiveSeatsCount": 10,
"EventId": 9,
"PairedPerformances": [338153],
"DirectlyBookablePerformance": false
},
{
"PerformanceId": 338155,
"PerformanceDate": "2017-02-22T19:30:00",
"TicketCount": 10,
"TotalSeatsCount": 158,
"TotalAvailableTickesCount": 139,
"ContainsDiscountOfferTickets": false,
"ContainsNoFeeOfferTickets": false,
"MinimumTicketPrice": 0,
"MaximumConsecutiveSeatsCount": 8,
"EventId": 9,
"PairedPerformances": null,
"DirectlyBookablePerformance": true
},
{
"PerformanceId": 338156,
"PerformanceDate": "2017-02-23T19:30:00",
"TicketCount": 10,
"TotalSeatsCount": 158,
"TotalAvailableTickesCount": 83,
"ContainsDiscountOfferTickets": false,
"ContainsNoFeeOfferTickets": false,
"MinimumTicketPrice": 0,
"MaximumConsecutiveSeatsCount": 9,
"EventId": 9,
"PairedPerformances": null,
"DirectlyBookablePerformance": true
}
...
]
}
Get Area prices
GET /Performances/{PerformanceId}/AreasPrices
Returns area prices. This endpoint is intended for general admission shows only.
Request
GET https://api.londontheatredirect.com/rest/v2/Performances/{PerformanceId}/AreasPrices
Api-Key: [YOUR API KEY] Content-Type: application/json
| Variable | Requirement | Data type | Example | Additional information |
|---|---|---|---|---|
PerformanceId |
required | Integer | 347948 | performance identifier |
Response
| Name | Data type | Additional information |
|---|---|---|
PricesPerArea |
Collection of PricesPerAreas |
contains information about a performance prices per area |
{
"PerformanceId": 688972,
"AreasPrices": [
{
"AreaId": 1,
"AreaName": "Stalls",
"Prices": [
{
"Price": 15.0000,
"FaceValue": 10.0000,
"AvailableSeatsCount": 990
}
]
}
]
}